Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.portlet.service.credentialvault
Class CredentialSecretNotSetException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.ibm.portal.portlet.service.credentialvault.CredentialVaultException
                  com.ibm.portal.portlet.service.credentialvault.CredentialSecretNotSetException

All Implemented Interfaces:
  Localized, java.io.Serializable

    public abstract class CredentialSecretNotSetException

extends CredentialVaultException

The `CredentialSecretNotSetException` class defines an exception that is thrown by the `CredentialVaultService` in case that the secret of a requested credential is not set.

Since:
  5.1.0.1
See Also:
  Serialized Form

Constructor Summary
`protected` | `CredentialSecretNotSetException(java.lang.Throwable cause)` Constructor that takes a causing throwable.

Method Summary
`abstract java.lang.String` | `getSlotId()` returns the ID of the credential slot for which the secret was not set.

Methods inherited from class com.ibm.portal.portlet.service.credentialvault.CredentialVaultException
`getDescription, getLocales, getMessageCode, getTitle`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CredentialSecretNotSetException

    protected CredentialSecretNotSetException(java.lang.Throwable cause)

  Constructor that takes a causing throwable.

  Parameters:
    `cause` - the original exception cause.

Method Detail

### getSlotId

    public abstract java.lang.String getSlotId()

  returns the ID of the credential slot for which the secret was not set.

  Returns:
    String The ID of the credential slot for which the secret was not set.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD